%global minorversion 1.1
%global xfceversion 4.16

Name:           xfce4-time-out-plugin
Version:        1.1.2
Release:        1
Summary:        Xfce panel plugin for taking breaks from the computer
License:        GPLv2+
URL:            http://goodies.xfce.org/projects/panel-plugins/%{name}
Source0:        http://archive.xfce.org/src/panel-plugins/%{name}/%{minorversion}/%{name}-%{version}.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  gcc-c++
BuildRequires:  libxfce4ui-devel >= %{xfceversion}
BuildRequires:  xfce4-panel-devel >= %{xfceversion}
BuildRequires:  libxml2-devel
BuildRequires:  libICE-devel
BuildRequires:  gettext
BuildRequires:  intltool

Requires:       xfce4-panel >= %{xfceversion}

%description
This plugin makes it possible to take periodical breaks from the computer every
X minutes. During breaks it locks your screen. It optionally allows you to 
postpone breaks for a certain time.

%prep
%setup -q

%build
%configure 
%make_build

%install
%make_install

# make sure debuginfo is generated properly
chmod -c +x %{buildroot}%{_libdir}/xfce4/panel/plugins/*.so

find %{buildroot} -name '*.la' -exec rm -f {} ';'

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc AUTHORS ChangeLog NEWS THANKS
%{_libdir}/xfce4/panel/plugins/
%{_datadir}/xfce4/panel/plugins/*.desktop
%{_datadir}/icons/hicolor/*/*/*

%changelog
* Fri Jun 18 2021 zhanglin <lin.zhang@turbolinux.com.cn> - 1.1.2-1
- Update to 1.1.2

* Fri Jul 17 2020 Dillon Chen <dillon.chen@turbolinux.com.cn> - 1.1.1-1
- Init package
